<launch>
    <!-- edumip publisher node-->
    <node pkg="edumip_my_robot_gazebo_ros" type="edumip_my_robot_publisher_dz4" name="edumip_publisher1" />

    <node name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" />

     <!-- Set Parameter-->
    <arg name="gui" default="true" />
    <arg name="rvizconfig" default="$(find edumip_my_robot_gazebo_ros)/rviz/edumip_gazebo_rviz_dz4.rviz" />

    <param name="use_gui" value="$(arg gui)"/>
    <param name="robot_description" command="$(find xacro)/xacro --inorder $(find edumip_my_robot_gazebo_ros)/urdf/edumip_my_robot.xacro" />

    <!-- rviz node-->
    <node name="rviz" pkg="rviz" type="rviz" args="-d $(find edumip_my_robot_gazebo_ros)/rviz/edumip_gazebo_rviz_dz4.rviz" required="true" />

</launch>

